Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.tags
Class FormTag

    java.lang.Object
      org.htmlparser.AbstractNode
          org.htmlparser.lexer.nodes.TagNode
              org.htmlparser.tags.Tag
                  org.htmlparser.tags.CompositeTag
                      org.htmlparser.tags.FormTag

All Implemented Interfaces:
  Cloneable, Node, Serializable

public class FormTag
extends CompositeTag

Represents a FORM tag.

Author:
  ili
See Also:
  Serialized Form

Field Summary
`static String` | `GET`
`protected String` | `mFormLocation` This is the derived form location, based on action.
`static String` | `POST`

Fields inherited from class org.htmlparser.tags.CompositeTag
`mDefaultScanner, mEndTag`

Fields inherited from class org.htmlparser.lexer.nodes.TagNode
`breakTags, mAttributes`

Fields inherited from class org.htmlparser.AbstractNode
`children, mPage, nodeBegin, nodeEnd, parent`

Constructor Summary
`FormTag()` Create a new form tag.

Method Summary
`String` | `extractFormLocn(String url)` Extract the location of the image, given the tag, and the url of the html page in which this tag exists.
`String[]` | `getEnders()` Return the set of tag names that cause this tag to finish.
`String[]` | `getEndTagEnders()` Return the set of end tag names that cause this tag to finish.
`NodeList` | `getFormInputs()` Get the list of input fields.
`String` | `getFormLocation()` Get the value of the action attribute.
`String` | `getFormMethod()` Returns the method of the form, GET or POST.
`String` | `getFormName()` Get the value of the name attribute.
`NodeList` | `getFormTextareas()` Get the list of text areas.
`String[]` | `getIds()` Return the set of names handled by this tag.
`InputTag` | `getInputTag(String name)` Get the input tag in the form corresponding to the given name
`TextareaTag` | `getTextAreaTag(String name)` Find the textarea tag matching the given name
`void` | `setFormLocation(String url)` Set the form location.
`String` | `toString()` Print the contents of the tag

Methods inherited from class org.htmlparser.tags.CompositeTag
`accept, childAt, children, collectInto, digupStringNode, elements, findPositionOf, findPositionOf, findPositionOf, getChild, getChildCount, getChildrenAsNodeArray, getChildrenHTML, getEndTag, getStartTag, getStringText, getText, putChildrenInto, putEndTagInto, removeChild, searchByName, searchFor, searchFor, searchFor, searchFor, setEndTag, setStartTag, toHtml, toPlainTextString, toString`

Methods inherited from class org.htmlparser.tags.Tag
`accept, clone, getThisScanner, setThisScanner`

Methods inherited from class org.htmlparser.lexer.nodes.TagNode
`breaksFlow, getAttribute, getAttributeEx, getAttributes, getAttributesEx, getEndingLineNumber, getParameter, getParsed, getRawTagName, getStartingLineNumber, getTagBegin, getTagEnd, getTagName, isEmptyXmlTag, isEndTag, removeAttribute, setAttribute, setAttribute, setAttribute, setAttributes, setAttributesEx, setEmptyXmlTag, setTagBegin, setTagEnd, setTagName, setText`

Methods inherited from class org.htmlparser.AbstractNode
`doSemanticAction, elementBegin, elementEnd, getChildren, getEndPosition, getPage, getParent, getStartPosition, setChildren, setEndPosition, setPage, setParent, setStartPosition, toHTML`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### POST

    public static final String POST

See Also:
  Constant Field Values

### GET

    public static final String GET

See Also:
  Constant Field Values

### mFormLocation

    protected String mFormLocation

  This is the derived form location, based on action.

Constructor Detail

### FormTag

    public FormTag()

  Create a new form tag.

Method Detail

### getIds

    public String[] getIds()

  Return the set of names handled by this tag.

  Overrides:
    `getIds` in class `Tag`
  Returns:
    The names to be matched that create tags of this type.

### getEnders

    public String[] getEnders()

  Return the set of tag names that cause this tag to finish.

  Overrides:
    `getEnders` in class `Tag`
  Returns:
    The names of following tags that stop further scanning.

### getEndTagEnders

    public String[] getEndTagEnders()

  Return the set of end tag names that cause this tag to finish.

  Overrides:
    `getEndTagEnders` in class `Tag`
  Returns:
    The names of following end tags that stop further scanning.

### getFormInputs

    public NodeList getFormInputs()

  Get the list of input fields.

  Returns:
    Input elements in the form.

### getFormTextareas

    public NodeList getFormTextareas()

  Get the list of text areas.

  Returns:
    Textarea elements in the form.

### getFormLocation

    public String getFormLocation()

  Get the value of the action attribute.

  Returns:
    The submit url of the form.

### setFormLocation

    public void setFormLocation(String url)

  Set the form location. Modification of this element will cause the HTML rendering to change as well (in a call to toHTML()).

  Parameters:
    `url` - The new FORM location

### getFormMethod

    public String getFormMethod()

  Returns the method of the form, GET or POST.

  Returns:
    String The method of the form (GET if nothing is specified).

### getInputTag

    public InputTag getInputTag(String name)

  Get the input tag in the form corresponding to the given name

  Parameters:
    `name` - The name of the input tag to be retrieved
  Returns:
    Tag The input tag corresponding to the name provided

### getFormName

    public String getFormName()

  Get the value of the name attribute.

  Returns:
    String The name of the form

### getTextAreaTag

    public TextareaTag getTextAreaTag(String name)

  Find the textarea tag matching the given name

  Parameters:
    `name` - Name of the textarea tag to be found within the form

### toString

    public String toString()

  Description copied from class: `TagNode`
  Print the contents of the tag

  Specified by:
    `toString` in interface `Node`
  Overrides:
    `toString` in class `CompositeTag`
  Returns:
    A textual representation of the form tag.

### extractFormLocn

    public String extractFormLocn(String url)

  Extract the location of the image, given the tag, and the url of the html page in which this tag exists.

  Parameters:
    `url` - URL of web page being parsed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2004 Somik Raha Mar 14, 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL.